int deljiv(long long int i,long long int a) {
	if (i % a != 0)
		return 1;
	else
		return 0;
}
long long int gcd(long long int a, long long int b)
{
	if (a == 0)
		return b;
	return gcd(b % a, a);
}

#include <iostream>
long long int p, q, r;
long long int L, R;
int main()
{
	std::cin >> p;
	std::cin >> q;
	std::cin >> r;
	std::cin >> L;
	std::cin >> R;
	long long int a = p * q + q * r + p * r;
	long long int b = p * q * r;
	if (a > b)
		std::cout << 0;
	else if(a==b) {
		long long int c = gcd(p, q);
		c = (p * q) / c;
		long long int t = gcd(c, r);
		c = (c * r) / t;
		if (L % c == 0 || R % c == 0)
			std::cout << (R - L) / c + 1;
		else
			std::cout << (R - L) / c;
	}else {
		long long int br = (b / (b - a)+1)*2;
		if(br<L) {
			std::cout << R - L + 1;
		}else if(br>R) {
			long long int broj = 0;
			for(long long int i=L;i<R+1;i++) {
				if ((i / p + deljiv(i, p) + i / q + deljiv(i, q) + i / r + deljiv(i, r)) <= i)
					broj++;		
			}
			std::cout << broj;
		}else {
			long long int broj = 0;
			for (long long int i = L; i < br + 1; i++) {
				if ((i / p + deljiv(i, p) + i / q + deljiv(i, q) + i / r + deljiv(i, r)) <= i)
					broj++;
			}
			broj =broj + R - br + 1;
			std::cout << broj;
		}
	}
    std::cout << "Hello World!\n";
}